/**
 * Fade in fade out my text
 *
 * @package 	Fade in fade out my text
 * @subpackage 	Fade in fade out my text
 * @version   	3.2
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/09/fade-in-fade-out-text-joomla-module/
 */

var fifotext_FadeInterval;

window.onload = fifotext_FadeRotate

var fifotext_Links;
var fifotext_Titles;
var fifotext_Cursor = 0;
var fifotext_Max;

function fifotext_FadeRotate() 
{
  fifotext_FadeInterval = setInterval(fifotext_Ontimer, 10);
  fifotext_Links = new Array();
  fifotext_Titles = new Array();
  fifotext_SetFadeLinks();
  fifotext_Max = fifotext_Links.length-1;
  fifotext_SetFadeLink();
}

function fifotext_SetFadeLink() {
  var ilink = document.getElementById("fifotext_Link");
  ilink.innerHTML = fifotext_Titles[fifotext_Cursor];
  ilink.href = fifotext_Links[fifotext_Cursor];
}

function fifotext_Ontimer() {
  if (fifotext_bFadeOutt) {
    fifotext_Fade+=fifotext_FadeStep;
    if (fifotext_Fade>fifotext_FadeOut) {
      fifotext_Cursor++;
      if (fifotext_Cursor>fifotext_Max)
        fifotext_Cursor=0;
      fifotext_SetFadeLink();
      fifotext_bFadeOutt = false;
    }
  } else {
    fifotext_Fade-=fifotext_FadeStep;
    if (fifotext_Fade<fifotext_FadeIn) {
      clearInterval(fifotext_FadeInterval);
      setTimeout(Faderesume, fifotext_FadeWait);
      fifotext_bFadeOutt=true;
    }
  }
  var ilink = document.getElementById("fifotext_Link");
  if ((fifotext_Fade<fifotext_FadeOut)&&(fifotext_Fade>fifotext_FadeIn))
    ilink.style.color = "#" + ToHex(fifotext_Fade);
}

function Faderesume() {
  fifotext_FadeInterval = setInterval(fifotext_Ontimer, 10);
}

function ToHex(strValue) {
  try {
    var result= (parseInt(strValue).toString(16));

    while (result.length !=2)
            result= ("0" +result);
    result = result + result + result;
	//alert(result);
    return result.toUpperCase();
  }
  catch(e)
  {
  }
}